# TColgp_HSequenceOfPnt.hxx File Reference

`#include <Standard.hxx>`
`#include <Handle_TColgp_HSequenceOfPnt.hxx>`
`#include <TColgp_SequenceOfPnt.hxx>`
`#include <MMgt_TShared.hxx>`
`#include <Standard_Boolean.hxx>`
`#include <Standard_Integer.hxx>`
`#include <TCollection_HSequence.lxx>`

## Defines

#define | Item gp_Pnt
#define | Item_hxx <gp_Pnt.hxx>
#define | TheSequence TColgp_SequenceOfPnt
#define | TheSequence_hxx <TColgp_SequenceOfPnt.hxx>
#define | TCollection_HSequence TColgp_HSequenceOfPnt
#define | TCollection_HSequence_hxx <TColgp_HSequenceOfPnt.hxx>
#define | Handle_TCollection_HSequence Handle_TColgp_HSequenceOfPnt
#define | TCollection_HSequence_Type_() TColgp_HSequenceOfPnt_Type_()

## Functions

Handle_TColgp_HSequenceOfPnt | ShallowCopy (const Handle_TColgp_HSequenceOfPnt &me)

## Define Documentation

#define Handle_TCollection_HSequence Handle_TColgp_HSequenceOfPnt

#define Item gp_Pnt

#define Item_hxx <gp_Pnt.hxx>

#define TCollection_HSequence TColgp_HSequenceOfPnt

#define TCollection_HSequence_hxx <TColgp_HSequenceOfPnt.hxx>

#define TCollection_HSequence_Type_ | (

)

TColgp_HSequenceOfPnt_Type_()

#define TheSequence TColgp_SequenceOfPnt

#define TheSequence_hxx <TColgp_SequenceOfPnt.hxx>

## Function Documentation

Handle_TColgp_HSequenceOfPnt ShallowCopy | ( | const Handle_TColgp_HSequenceOfPnt & | me | ) | `[inline]`